> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edgeimpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get split preview results

> Returns the results of a previously requested split preview job. This endpoint is used to retrieve the results after a split preview job has been started.




## OpenAPI

````yaml /.assets/openapi.yaml get /api/{projectId}/get-split-preview-results
openapi: 3.0.0
info:
  title: Edge Impulse API
  version: 1.0.0
servers:
  - url: https://studio.edgeimpulse.com/v1
security:
  - ApiKeyAuthentication: []
  - JWTAuthentication: []
  - JWTHttpHeaderAuthentication: []
  - OAuth2: []
paths:
  /api/{projectId}/get-split-preview-results:
    get:
      tags:
        - Raw data
      summary: Get split preview results
      description: >
        Returns the results of a previously requested split preview job. This
        endpoint is used to retrieve the results after a split preview job has
        been started.
      operationId: getSplitPreviewResults
      parameters:
        - $ref: '#/components/parameters/ProjectIdParameter'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetSplitPreviewResponse'
components:
  parameters:
    ProjectIdParameter:
      name: projectId
      in: path
      required: true
      description: Project ID
      schema:
        type: integer
  schemas:
    DatasetSplitPreviewResponse:
      allOf:
        - $ref: '#/components/schemas/GenericApiResponse'
        - type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/DatasetSplitPreview'
    GenericApiResponse:
      type: object
      required:
        - success
      properties:
        success:
          type: boolean
          description: Whether the operation succeeded
        error:
          type: string
          description: Optional error description (set if 'success' was false)
    DatasetSplitPreview:
      type: object
      required:
        - assignmentPreview
        - balancePreviews
      properties:
        assignmentPreview:
          $ref: '#/components/schemas/DatasetSplitPreviewSection'
        balancePreviews:
          type: array
          items:
            $ref: '#/components/schemas/DatasetSplitPreviewSection'
    DatasetSplitPreviewSection:
      type: object
      required:
        - title
        - keyLabel
        - rows
      properties:
        title:
          type: string
        summary:
          type: string
        keyLabel:
          type: string
        rows:
          type: array
          items:
            $ref: '#/components/schemas/DatasetSplitPreviewRow'
    DatasetSplitPreviewRow:
      type: object
      required:
        - stratValue
        - splitCategory
        - sampleCount
        - percentWithinGroup
      properties:
        stratValue:
          type: string
        splitCategory:
          type: string
          enum:
            - training
            - testing
            - validation
        sampleCount:
          type: number
        percentWithinGroup:
          type: number
        totalLengthMs:
          type: number
        percentWithinGroupDuration:
          type: number
  securitySchemes:
    ApiKeyAuthentication:
      type: apiKey
      in: header
      name: x-api-key
    JWTAuthentication:
      type: apiKey
      in: cookie
      name: jwt
    JWTHttpHeaderAuthentication:
      type: apiKey
      in: header
      name: x-jwt-token
    OAuth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: /v1/oauth/authorize
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        implicit:
          authorizationUrl: /v1/oauth/authorize
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        password:
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        clientCredentials:
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information

````